Index: src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java
===================================================================
--- src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java	(revision 3190)
+++ src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java	(working copy)
@@ -271,13 +271,13 @@
 			GType type = new GType(foundType);
 
 			String oneWay = way.getTag("oneway");
-			if("-1".equals(oneWay) || "reverse".equals(oneWay)) {
+			if(type.isRoad() && ("-1".equals(oneWay) || "reverse".equals(oneWay))) {
 				// it's a oneway street in the reverse direction
 				// so reverse the order of the nodes and change
 				// the oneway tag to "yes"
 				way.reverse();
 				way.addTag("oneway", "yes");
-				if (type.isRoad() && "roundabout".equals(way.getTag("junction")))
+				if ("roundabout".equals(way.getTag("junction")))
 					log.warn("Roundabout", way.getId(), "has reverse oneway tag (" + way.getPoints().get(0).toOSMURL() + ")");
 			}
 
@@ -632,6 +632,11 @@
 				List<Coord> points = line.getPoints();
 				points.clear();
 				points.addAll(modWay.getPoints());
+				String oneway = line.getTag("oneway");
+				if ("-1".equals(oneway) || "reverse".equals(oneway)){
+					// roads were reversed in addConvertedWay, overlaying lines should not be reversed 
+					Collections.reverse(points);
+				}
 			}
 		}
 		deletedRoads = null;
